Skip to main content
GET
Inspections with derived outcome, progress and overdue state.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
inspection_number
string
template_code
string
template_name
string
inspection_type
string
inspection_type_name
string
is_regulatory
string
status
string
status_label
string
status_category
string
origin
string
outcome
string
score_percent
string
items_total
string
items_passed
string
items_failed
string
critical_failures
string
asset_id
string
asset_number
string
asset_name
string
site_id
string
location_id
string
work_order_id
string
maintenance_occurrence_id
string
inspector_worker_id
string
inspector_name
string
scheduled_for
string
due_at
string
is_overdue
string
started_at
string
submitted_at
string
reviewed_at
string
notes
string
items_answered
string
mandatory_unanswered
string
row_version
string
updated_at
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

asset_name
string<character varying>
Maximum string length: 250
asset_number
string<character varying>
Maximum string length: 80
critical_failures
integer<integer>
due_at
string<timestamp with time zone>
id
string<uuid>

Note: This is a Primary Key.

inspection_number
string<character varying>
Maximum string length: 60
inspection_type
string<character varying>
Maximum string length: 40
inspection_type_name
string<character varying>
Maximum string length: 150
inspector_name
string<character varying>
Maximum string length: 200
inspector_worker_id
string<uuid>

Note: This is a Foreign Key to technician_workload.worker_id.

is_overdue
boolean<boolean>
is_regulatory
boolean<boolean>
items_answered
integer<bigint>
items_failed
integer<integer>
items_passed
integer<integer>
items_total
integer<integer>
location_id
string<uuid>

Note: This is a Foreign Key to location_settings.id.

maintenance_occurrence_id
string<uuid>

Note: This is a Foreign Key to maintenance_due.occurrence_id.

mandatory_unanswered
integer<bigint>
notes
string<text>
origin
string<character varying>
Maximum string length: 30
outcome
string<character varying>
Maximum string length: 30
reviewed_at
string<timestamp with time zone>
row_version
integer<bigint>
scheduled_for
string<timestamp with time zone>
score_percent
number<numeric>
site_id
string<uuid>

Note: This is a Foreign Key to site_settings.id.

started_at
string<timestamp with time zone>
status
string<character varying>
Maximum string length: 60
status_category
string<character varying>
Maximum string length: 20
status_label
string<character varying>
Maximum string length: 150
submitted_at
string<timestamp with time zone>
template_code
string<character varying>
Maximum string length: 60
template_name
string<character varying>
Maximum string length: 250
updated_at
string<timestamp with time zone>
work_order_id
string<uuid>

Note: This is a Foreign Key to inspection_failures.found_in_work_order_id.